Docs
Get an API key

GLM 5 glm-5.x-menthol

Z.ai's MoE flagship for agentic reasoning and coding.

From the live catalog
View .md
Input
$0.40 / 1M tokens
Output
$1.75 / 1M tokens
Context
198K tokens
Max output
198K tokens
region SEA quantization fp8 reasoning Hugging Face zai-org/GLM-5

Inputs

InputAccepts
text
context 198K tokens
image
sources url, base64
formats png, jpeg, webp, gif
file
sources url, base64
formats application/pdf, text/plain, text/markdown, text/html, text/csv, application/json
max size 100 MB

Parameters

Streams with stream: true.

ParameterTypeValuesDefault
temperaturenumber0–2
top_pnumber0–1
frequency_penaltynumber-2–2
presence_penaltynumber-2–2
max_tokensinteger1–202752 tokens
stoparrayup to 4 items
seedinteger
continue_final_messageboolean
top_kintegerat least 0
repetition_penaltynumber0–2
nintegerat least 1
logprobsboolean
top_logprobsinteger0–20
response_formatobjecttype: text, json_object, json_schema
structured_outputsboolean
reasoning_effortstringultra, max, xhigh, high, medium, low, minimal
reasoningobject
toolsboolean

Endpoints

A request

curl https://api.vultrinference.com/v1/chat/completions \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "glm-5.x-menthol",
    "messages": [
      {
        "role": "system",
        "content": "Answer in one sentence."
      },
      {
        "role": "user",
        "content": "Why is the sky blue?"
      }
    ],
    "max_completion_tokens": 512
  }'